contracts / PaymentEvent

# PaymentEvent

`abstract class PaymentEvent : Event`

Top level PaymentEvent class - represents an obligation to pay an amount on a given date, which may be either in the past or the future.

### Constructors

<init> | `PaymentEvent(date: LocalDate)` Top level PaymentEvent class - represents an obligation to pay an amount on a given date, which may be either in the past or the future.

### Inherited Properties

date | `val date: LocalDate`

### Functions

calculate | `abstract fun calculate(): Amount`

### Inherited Functions

equals | `open fun equals(other: Any?): Boolean`
hashCode | `open fun hashCode(): Int`

### Inheritors

RatePaymentEvent

`abstract class RatePaymentEvent : PaymentEvent`

A RatePaymentEvent represents a dated obligation of payment. It is a specialisation / modification of a basic cash flow event (to be written) that has some additional assistance functions for interest rate swap legs of the fixed and floating nature. For the fixed leg, the rate is already known at creation and therefore the flows can be pre-determined. For the floating leg, the rate refers to a reference rate which is to be "fixed" at a point in the future.